import React from "react";
import { ZIMSearchAble } from "../../../../index";
import { ZimMarkOptions } from "../../../hooks/useMark";
interface Props {
    curPage: any[];
    onSelect: (select: ZIMSearchAble) => void;
    inputVal: string | null;
    searchResult?: {
        item: ZIMSearchAble;
        score?: number;
        [property: string]: unknown;
    }[];
    markOptions?: ZimMarkOptions;
    searchedVal?: null | string;
}
/**
 * Renders indexed page section with higlighting using the mark.js hook.
 * @param curPage array of data that represents one page
 * @param onSelect function reference for what should happen when a result was chosen
 * @param inputVal val that should be used for marking via mark.js
 * @param searchResult original result
 * @param markOptions options from mark that should be applied.
 */
declare const ResultPage: React.FC<Props>;
export default ResultPage;
