/**
 * Takes in an array to be indexed in page chunks. Returns indexed page chunk and
 * methods to navigate according through the indexed page chunks.
 * @param toIndex Array to be indexed
 * @param pageLen Length of page. Measured in count of things in given toIndex array.
 *
 * */
export declare const usePagination: (toIndex?: any[] | null | undefined, pageLen?: number) => {
    nextPage: () => void;
    prevPage: () => void;
    goToPage: (tupleInd: number) => void;
    getPageSection: () => any[];
    pageTuples: [number, number][] | null;
    compareTuples: (a: [number, number], b: [number, number]) => boolean;
    findSameTuple: (tuples: [number, number][], aTuple: [number, number]) => number;
    indexPageTuples: (arr: any[], pageSize?: number) => [number, number][];
    curPageTupleInd: number;
    getCurPageTuple: () => [number, number];
};
